CassandraToolBox
Keywords: com.artenum.cassandra.util.CassandraToolBox class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.util
Class CassandraToolBox

    java.lang.Object
      com.artenum.cassandra.util.CassandraToolBox

    public class CassandraToolBox

extends java.lang.Object

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Cassandra toolbox.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`CassandraToolBox()`

Method Summary
`static void` | `export3DScene(java.lang.String filename, vtk.vtkRenderWindow input)`
`static void` | `export3DScene(vtk.vtkRenderWindow input)`
`static java.awt.Dialog` | `getParentDialog(java.awt.Component c)`
`static java.awt.Frame` | `getParentFrame(java.awt.Component c)`
`static java.lang.Object` | `loadObject(java.lang.String fileName)`
`static void` | `saveObject(java.lang.Object obj, java.lang.String fileName)`
`static void` | `sortFileList(java.io.File[] fileListToSort)`
`static java.util.ArrayList` | `splitNumbers(java.lang.String fileNameToSplit)`
`static void` | `updateLookupTableRange(vtk.vtkLookupTable lookupTable, double min, double max)`
`static void` | `updateMapper(PipeLineManager pipelineManager, vtk.vtkLookupTable lookupTable)`
`static double[]` | `vtkColorConverter(java.awt.Color c)`
`static java.awt.Color` | `vtkColorConverter(double[] rvb)`
`static java.awt.Color` | `vtkColorConverter(double r, double g, double b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CassandraToolBox

    public CassandraToolBox()

Method Detail

### getParentFrame

    public static java.awt.Frame getParentFrame(java.awt.Component c)

### getParentDialog

    public static java.awt.Dialog getParentDialog(java.awt.Component c)

### updateMapper

    public static void updateMapper(PipeLineManager pipelineManager,
                                    vtk.vtkLookupTable lookupTable)

### updateLookupTableRange

    public static void updateLookupTableRange(vtk.vtkLookupTable lookupTable,
                                              double min,
                                              double max)

### vtkColorConverter

    public static java.awt.Color vtkColorConverter(double r,
                                                   double g,
                                                   double b)

### vtkColorConverter

    public static double[] vtkColorConverter(java.awt.Color c)

### vtkColorConverter

    public static java.awt.Color vtkColorConverter(double[] rvb)

### splitNumbers

    public static java.util.ArrayList splitNumbers(java.lang.String fileNameToSplit)

### sortFileList

    public static void sortFileList(java.io.File[] fileListToSort)

### saveObject

    public static void saveObject(java.lang.Object obj,
                                  java.lang.String fileName)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadObject

    public static java.lang.Object loadObject(java.lang.String fileName)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### export3DScene

    public static void export3DScene(java.lang.String filename,
                                     vtk.vtkRenderWindow input)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### export3DScene

    public static void export3DScene(vtk.vtkRenderWindow input)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com